VelocityReport Plugin - Defect #7

iText (PDF rendering) is eating a lot of memory
06/23/2010 02:57 AM - Patrick Talbot

Status: Parked Start date: 06/23/2010
Priority: None Due date:

Assignee: % Done: 0%
Category: for reference Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

Potential memory problems for reports in smart client with low max heap.
Will need to tweak the client memory to allow for big reports (especially with images/charts in high definition).

This is typical of iText bad management of memory. Not much we can do, we cannot update to latest (version 5+) of iText since the
licence is no longer Open Source (this is going to be a problem for Jasper Reports as well).

Opened for reference only.

History

#1 - 06/24/2010 11:56 PM - Patrick Talbot

- Category set to for reference

#2 - 06/25/2010 08:16 AM - Patrick Talbot

- Priority changed from Normal to None

#3 - 02/28/2019 10:12 PM - Patrick Talbot

- Status changed from New to Parked
